/*
 *
 *    OPEN-XCHANGE legal information
 *
 *    All intellectual property rights in the Software are protected by
 *    international copyright laws.
 *
 *
 *    In some countries OX, OX Open-Xchange, open xchange and OXtender
 *    as well as the corresponding Logos OX Open-Xchange and OX are registered
 *    trademarks of the Open-Xchange, Inc. group of companies.
 *    The use of the Logos is not covered by the GNU General Public License.
 *    Instead, you are allowed to use these Logos according to the terms and
 *    conditions of the Creative Commons License, Version 2.5, Attribution,
 *    Non-commercial, ShareAlike, and the interpretation of the term
 *    Non-commercial applicable to the aforementioned license is published
 *    on the web site http://www.open-xchange.com/EN/legal/index.html.
 *
 *    Please make sure that third-party modules and libraries are used
 *    according to their respective licenses.
 *
 *    Any modifications to this package must retain all copyright notices
 *    of the original copyright holder(s) for the original code used.
 *
 *    After any such modifications, the original and derivative code shall remain
 *    under the copyright of the copyright holder(s) and/or original author(s)per
 *    the Attribution and Assignment Agreement that can be located at
 *    http://www.open-xchange.com/EN/developer/. The contributing author shall be
 *    given Attribution for the derivative code and a license granting use.
 *
 *     Copyright (C) 2004-2020 Open-Xchange, Inc.
 *     Mail: info@open-xchange.com
 *
 *
 *     This program is free software; you can redistribute it and/or modify it
 *     under the terms of the GNU General Public License, Version 2 as published
 *     by the Free Software Foundation.
 *
 *     This program is distributed in the hope that it will be useful, but
 *     WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *     or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 *     for more details.
 *
 *     You should have received a copy of the GNU General Public License along
 *     with this program; if not, write to the Free Software Foundation, Inc., 59
 *     Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

package twitter4j.internal.json;

import twitter4j.TwitterException;
import twitter4j.conf.Configuration;
import twitter4j.internal.http.HttpResponse;
import twitter4j.internal.org.json.JSONObject;

/**
 * {@link OXStatusJSONImpl} - A data class representing one single status of a user.
 * 
 * @author <a href="mailto:thorben.betten@open-xchange.com">Thorben Betten</a>
 */
public class OXStatusJSONImpl extends StatusJSONImpl {

    private static final long serialVersionUID = 7548618898682727456L;

    /**
     * Initializes a new {@link OXStatusJSONImpl}.
     */
    public OXStatusJSONImpl() {
        super();
    }

    /**
     * Initializes a new {@link OXStatusJSONImpl}.
     * 
     * @param json The JSON object
     * @throws TwitterException If an error occurs
     */
    public OXStatusJSONImpl(JSONObject json) throws TwitterException {
        super(json);
    }

    /**
     * Initializes a new {@link OXStatusJSONImpl}.
     * 
     * @param res The HTTP response
     * @param conf The configuration
     * @throws TwitterException If an error occurs
     */
    public OXStatusJSONImpl(HttpResponse res, Configuration conf) throws TwitterException {
        super(res, conf);
    }

    /**
     * Initializes a new {@link OXStatusJSONImpl}.
     * 
     * @param json The JSON object
     * @param conf The configuration
     * @throws TwitterException If an error occurs
     */
    public OXStatusJSONImpl(JSONObject json, Configuration conf) throws TwitterException {
        super(json, conf);
    }

}
